#pragma once

#include "CoreMinimal.h"
#include "BhvrFlowNode.h"
#include "BhvrFlowOutputDelegate.h"
#include "BhvrFlowNode_ExampleB.generated.h"

UCLASS(Blueprintable)
class BHVRFLOW_API UBhvrFlowNode_ExampleB : public UBhvrFlowNode
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FBhvrFlowOutputDelegate OutputA;

	UPROPERTY(BlueprintReadWrite, BlueprintAssignable)
	FBhvrFlowOutputDelegate OutputB;

public:
	UFUNCTION(BlueprintCallable)
	void InputB();

	UFUNCTION(BlueprintCallable)
	void InputA();

public:
	UBhvrFlowNode_ExampleB();
};

FORCEINLINE uint32 GetTypeHash(const UBhvrFlowNode_ExampleB) { return 0; }
